imagechar
imagecolorallocate
GD and Image Functions
PHP Manual

# imagecharup

Draw a character vertically

### Description

bool imagecharup ( resource `$image` , int `$font` , int `$x` , int `$y` , string `$c` , int `$color` )

Draws the character `c` vertically at the specified coordinate on the given `image`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor.

`font`

  Can be 1, 2, 3, 4, 5 for built-in fonts in latin2 encoding (where higher numbers corresponding to larger fonts) or any of your own font identifiers registered with imageloadfont.

`x`

  x-coordinate of the start.

`y`

  y-coordinate of the start.

`c`

  The character to draw.

`color`

  A color identifier created with imagecolorallocate.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagecharup example

`<?php
$im = imagecreate(100, 100);
$string = 'Note that the first letter is a N';
$bg = imagecolorallocate($im, 255, 255, 255);
$black = imagecolorallocate($im, 0, 0, 0);
// prints a black "Z" on a white background
imagecharup($im, 3, 10, 10, $string, $black);
header('Content-type: image/png');
imagepng($im);
?>`

The above example will output something similar to:

### See Also

- imagechar
- imageloadfont